Skip to content

Get fragment types

GET
/fragments/types
curl --request GET \
--url 'https://legion.picogrid.com/v2/fragments/types?paging_direction=forwards'

Gets all the fragment types paginated

limit
string

The maximum number of items to return with a default value of 10. Note that a request never returns more than about 1MB of data irrespective of how high this value is

cursor
string

The cursor given by your previous request used to get the next page of results. Defaults to start from the beginning if forwards and end if backwards

paging_direction
string
Allowed values: forwards backwards

The direction for the pagination cursor. Defaults to forwards

Success

Media typeapplication/json
object
data
required
Array
One of:
Blob Fragment Type
object
id
required
string
name
required
string
primitive_fragment_type
required

This key can be used as a discriminator for which kind of fragment type you have received. In this case the value is ‘blob’, which has the extra file_extension property. See fragment_types documentation for more information.

string
Allowed values: blob
file_extension
required
string
pagination
required
One of:
No More Pages
object
has_more
required

Is false in this case which means you have reached the end of available results

boolean
Example
{
"data": [
{
"primitive_fragment_type": "blob"
}
],
"pagination": {
"has_more": false
}
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Bad Request Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Authentication Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Unauthorized Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Resource Not Found Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Timeout Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Bad Gateway Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Version 2 · commit 0771262